%define module  HTML-FromText
%define version 2.05
%define release 3%{?dist}

Summary:	Perl module to Convert plain text to HTML
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}/
Source0:	ftp://www.cpan.org/modules/by-module/HTML/%{module}-%{version}.tar.bz2
Patch0:		perl-HTML-FromText/HTML-FromText-2.05-quotes.patch
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Email-Find
BuildRequires:	perl-Exporter-Lite
BuildRequires:	perl-HTML-Parser
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
HTML::FromText converts text to HTML.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
make test

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc Changes README
%{perl_vendorlib}/HTML/FromText.pm
%{_bindir}/text2html
%{_mandir}/man*/*

%changelog
* Mon Jul 17 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.05-2
- Fix quotes in tests.

* Tue Dec 27 2005 Ed Avis <ed@membled.com> 2.05-1epa
- Port to Fedora

* Fri Sep 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.05-2mdk
- Rebuild; fix URL and summary

* Fri Nov 28 2003 Stefan van der Eijk <stefan@eijk.nu> 2.05-1mdk
- initial mdk package
